﻿© Fluke Calibration, All Rights Reserved.                   MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek TDS1000/2000 (1 yr) DCV Meas RS-232 /9500
INSTRUMENT:            Sub Tek TDS1000/2000 (1 yr) Bandwidth RS-232 /9500
INSTRUMENT:            Sub Tek TDS1000/2000 (1 yr) Trig Sens RS-232 /9500
INSTRUMENT:            Sub Tek TDS1000/2000 (1 yr) Sample Rate RS-232 /9500
DATE:                  2010-08-24 14:38:26
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       16
NUMBER OF LINES:       509
CONFIGURATION:         Datron 9500
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        DFM, DAC, VY
#
#  Model(s) Covered:
#        TDS1000  Series
#          TDS 1001, TDS 1002, TDS 1012
#        TDS2000 Series
#          TDS 2002, TDS 2004, TDS 2012, TDS 2014, TDS 2022, TDS 2024
#
#  Compatibility:
#        MET/CAL 7.20 or later
#
#  Subprocedures:
#        Sub Tek TDS1000/2000 Select Channel IEEE
#        Sub Tek TDS1000/2000 Trigger Chk and Level Adj IEEE
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  PORT         *RST;HEADER OFF;*OPC?[I!]
  1.002  CALL         Sub Tek TDS1000/2000 Select Channel RS-232

  1.003  JMPL         DCV_MEAS                     PSUBI("DCV Meas")
  1.004  JMPL         BANDWIDTH                    PSUBI("Bandwidth")
  1.005  JMPL         TRIGGER                      PSUBI(" Trig Sens")
  1.006  JMPL         SAMPLE_RATE                  PSUBI("Sample Rate")
  1.007  DISP         {Undefined subprocedure!}
  1.008  END

  1.009  EVAL   Increment step number

# ************************* DC Voltage Measurement  **************************

  2.001  LABEL        DCV_MEAS

  2.002  IF           @Chan == 1
  2.003  RSLT         =
  2.004  RSLT         =DC GAIN ACCURACY
  2.005  ENDIF

  2.006  RSLT         =
  2.007  RSLT         =Channel [V @Chan]

  2.008  RSLT         =
  2.009  HEAD         CH [V @Chan] DC GAIN ACCURACY
  2.010  HEAD         -2{ 5 mV/div}
  2.011  TARGET       -p

  2.012  IF           @NumHeads == 1
  2.013  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7][D250]
  2.014  DISP         Connect the CH 1 Active Head to UUT CH [V @Chan].

  2.015  ELSEIF       @Chan == 1 && @NumHeads == 2
  2.016  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7][D250]
  2.017  DISP         Connect the 9500 to the UUT as follows:
  2.017  DISP         [32] CH 1 Active Head to UUT CH 1
  2.017  DISP         [32] CH 2 Active Head to UUT CH 2

  2.018  ELSEIF       @Chan == 1 && @NumHeads == 3
  2.019  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7][D250]

  2.020  IF           @UsingPowerSplitter
  2.021  DISP         Connect the 9500 to the UUT as follows:
  2.021  DISP         [32] CH 1 Active Head to UUT CH 1
  2.021  DISP         [32] CH 2 Active Head to UUT CH 2
  2.022  ELSE
  2.023  DISP         Connect the 9500 to the UUT as follows:
  2.023  DISP         [32] CH 1 Active Head to UUT CH 1
  2.023  DISP         [32] CH 2 Active Head to UUT CH 2
  2.023  DISP         [32] CH 3 Active Head to UUT EXT TRIG
  2.024  ENDIF

  2.025  ELSEIF       @Chan == 1 && @NumHeads == 4
  2.026  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7][D250]
  2.027  DISP         Connect the 9500 to the UUT as follows:
  2.027  DISP         [32] CH 1 Active Head to UUT CH 1
  2.027  DISP         [32] CH 2 Active Head to UUT CH 2
  2.027  DISP         [32] CH 3 Active Head to UUT CH 3
  2.027  DISP         [32] CH 4 Active Head to UUT CH 4

  2.028  ELSEIF       @Chan == 1 && @NumHeads == 5
  2.029  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7][D250]

  2.030  IF           @UsingPowerSplitter
  2.031  DISP         Connect the 9500 to the UUT as follows:
  2.031  DISP         [32] CH 1 Active Head to UUT CH 1
  2.031  DISP         [32] CH 2 Active Head to UUT CH 2
  2.031  DISP         [32] CH 3 Active Head to UUT CH 3
  2.031  DISP         [32] CH 4 Active Head to UUT CH 4
  2.032  ELSE
  2.033  DISP         Connect the 9500 to the UUT as follows:
  2.033  DISP         [32] CH 1 Active Head to UUT CH 1
  2.033  DISP         [32] CH 2 Active Head to UUT CH 2
  2.033  DISP         [32] CH 3 Active Head to UUT CH 3
  2.033  DISP         [32] CH 4 Active Head to UUT CH 4
  2.033  DISP         [32] CH 5 Active Head to UUT EXT TRIG
  2.034  ENDIF

  2.035  ENDIF

  2.036  HEAD         -2 5 mV/div
  2.037  PORT         CH[V @Chan]:PRO 1;SCA 5E-3
  2.038  PORT         ACQ:MOD AVE;NUMAV 16
  2.039  PORT         MEASU:MEAS[V @Chan]:SOU CH[V @Chan];TYP MEAN
  2.040  TARGET       -m
  2.041  9500         17.5mV                                            S
# Retrieve the accuracy of positive output of calibrator.
  2.042  MATH         PosAcc = ACCV("Datron 9500", "Volts", MEM1 * 1E-3)
  2.043  WAIT         -t 7 Settling...
  2.044  PORT         MEASU:MEAS[V @Chan]:VAL?[I]
  2.045  MATH         PosValue = MEM / 1E-3
  2.046  9500         -17.5mV                                           S
# Retrieve the accuracy of negative output of calibrator.
  2.047  MATH         NegAcc = ACCV("Datron 9500", "Volts", MEM1 * 1E-3)
  2.048  WAIT         -t 7 Settling...
  2.049  PORT         MEASU:MEAS[V @Chan]:VAL?[I]
  2.050  MATH         NegValue = MEM / 1E-3
# RSS uncertainty components and expand to 95% confidence level.
  2.051  MATH         L[1] = RSS2(PosAcc, NegAcc) / CONF("Datron 9500") * 2
# Setup system accuracy.
  2.052  MATH         L[1] = L[1] / 1E-3
  2.053  ACC          35.0mV         L1U
  2.054  MATH         MEM = PosValue - NegValue
  2.055  MEMCX        35.0mV         1.4U

  3.001  RSLT         =
  3.002  HEAD         -2{ 200 mV/div}
  3.003  TARGET       -p
  3.004  PORT         CH[V @Chan]:SCA 200E-3
  3.005  TARGET       -m
  3.006  9500         700mV                                             S
  3.007  MATH         PosAcc = ACCV("Datron 9500", "Volts", MEM1 * 1E-3)
  3.008  WAIT         -t 7 Settling...
  3.009  PORT         MEASU:MEAS[V @Chan]:VAL?[I]
  3.010  MATH         PosValue = MEM / 1E-3
  3.011  9500         -700mV                                            S
  3.012  MATH         NegAcc = ACCV("Datron 9500", "Volts", MEM1 * 1E-3)
  3.013  WAIT         -t 7 Settling...
  3.014  PORT         MEASU:MEAS[V @Chan]:VAL?[I]
  3.015  MATH         NegValue = MEM / 1E-3
  3.016  MATH         L[1] = RSS2(PosAcc, NegAcc) / CONF("Datron 9500") * 2
  3.017  MATH         L[1] = L[1] / 1E-3
  3.018  ACC          1400mV         L1U
  3.019  MATH         MEM = PosValue - NegValue
  3.020  MEMCX        mV             42U

  4.001  RSLT         =
  4.002  HEAD         -2{ 2 V/div}
  4.003  TARGET       -p
  4.004  PORT         CH[V @Chan]:SCA 2
  4.005  TARGET       -m
  4.006  9500         7.00V                                             S
  4.007  MATH         PosAcc = ACCV("Datron 9500", "Volts", MEM1)
  4.008  WAIT         -t 7 Settling...
  4.009  PORT         MEASU:MEAS[V @Chan]:VAL?[I]
  4.010  MATH         PosValue = MEM
  4.011  9500         -7.00V                                            S
  4.012  MATH         NegAcc = ACCV("Datron 9500", "Volts", MEM1)
  4.013  WAIT         -t 7 Settling...
  4.014  PORT         MEASU:MEAS[V @Chan]:VAL?[I]
  4.015  MATH         NegValue = MEM
  4.016  MATH         L[1] = RSS2(PosAcc, NegAcc) / CONF("Datron 9500") * 2
  4.017  ACC          14.00V         L1U
  4.018  MATH         MEM = PosValue - NegValue
  4.019  MEMCX        V              0.42U

  5.001  HEAD         -2
  5.002  HEAD
  5.003  9500         *                                                 S
  5.004  END

  5.005  EVAL   Increment step number

# ********************************* Bandwidth  *******************************

  6.001  LABEL        BANDWIDTH

  6.002  IF           @Chan == 1
  6.003  RSLT         =
  6.004  RSLT         =BANDWIDTH
  6.005  ENDIF

  6.006  RSLT         =
  6.007  RSLT         =Channel [V @Chan]

  6.008  HEAD         CH [V @Chan] BANDWIDTH
  6.009  HEAD         -2 500 mV/div
  6.010  TARGET
  6.011  PORT         CH[V @Chan]:PRO 1;SCA 500E-3
  6.012  PORT         ACQUIRE:MODE AVERAGE;NUMAVG 16;STATE ON
  6.013  PORT         TRIG:MAI:EDGE:SOU CH[V @Chan];COUP NOISE
  6.014  PORT         HOR:SCA 10E-6
  6.015  PORT         MEASU:MEAS[V @Chan]:SOU CH[V @Chan];TYP PK2

# Set the output of the calibrator so the peak-to-peak measurement is
# between 2.98 V and 3.02 V.
  6.016  MATH         MEM = 3; MEM1 = MEM

  6.017  DO
  6.018  MATH         MEM = MEM1 + (3 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  6.019  IF           MEM > 5.56 || MEM < 0.00444
  6.020  MATH         MEM = 3
  6.021  ENDIF

  6.022  9500         Vpp                          50kH           LS    S
  6.023  PORT         TRIG:MAI SETL
  6.024  PORT         [D1000]MEASU:MEAS[V @Chan]:VAL?[I]
  6.025  UNTIL        (MEM >= 2.98) && (MEM <= 3.02)

  6.026  PORT         HOR:SCA 10E-9
# Last calibrator amplitude setting is in MEM1.
  6.027  MATH         MEM = MEM1

  6.028  IF           @Bandwidth == 40E+6
  6.029  9500         Vpp                          40MH           LS    S
  6.030  ELSEIF       @Bandwidth == 60E+6
  6.031  9500         Vpp                          60MH           LS    S
  6.032  ELSEIF       @Bandwidth == 100E+6
  6.033  9500         Vpp                          100MH          LS    S
  6.034  ELSEIF       @Bandwidth == 200E+6
  6.035  9500         Vpp                          200MH          LS    S
  6.036  ENDIF

  6.037  WAIT         -t 5 System settling...
  6.038  PORT         MEASU:MEAS[V @Chan]:VAL?[I]
  6.039  EVAL   -e MEM >= 2.12 : [32]500 mV/div, >= 2.12 Vpp

  7.001  HEAD         -2
  7.002  HEAD
  7.003  9500         *                                                 S
  7.004  END

  7.005  EVAL   Increment step number

# ********************************** Trigger  ********************************

  8.001  LABEL        TRIGGER

  8.002  IF           @Chan == 1
  8.003  RSLT         =
  8.004  RSLT         =EDGE-TRIGGER SENSITIVITY
  8.005  ENDIF

  8.006  RSLT         =
  8.007  RSLT         =Channel [V @Chan]

  8.008  HEAD         CH [V @Chan] EDGE-TRIGGER SENSITIVITY
  8.009  HEAD         -2 Rising Slope, 1 div at 10 MHz
  8.010  TARGET
  8.011  PORT         CH[V @Chan]:PRO 1;SCA 500E-3
  8.012  PORT         TRIG:MAI:MOD NORM;EDGE:SOU CH[V @Chan]
  8.013  PORT         HOR:SCA 25E-9
  8.014  PORT         MEASU:MEAS[V @Chan]:SOU CH[V @Chan];TYP PK2
  8.015  PORT         ACQ:MOD SAMP;STATE ON

# Firstly set the output of the calibrator so the peak-to-peak measurement is
# approximately 1000 mV (twice of required test signal).
  8.016  MATH         MEM = 1000; MEM1 = MEM

  8.017  DO
  8.018  MATH         MEM = MEM1 + (1000 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  8.019  IF           MEM > 5560 || MEM < 4.44
  8.020  MATH         MEM = 1000
  8.021  ENDIF

  8.022  DO
  8.023  9500         mVpp                         10MH           LS    S
  8.024  PORT         [D1000]Trig:MAI SETL
# Check the status of trigger
  8.025  PORT         [D500]TRIG:STATE?[I$]
  8.026  UNTIL        FINDI(MEM2, "TRIG", 1)

  8.027  PORT         MEASU:MEAS[V @Chan]:VAL?[I]
  8.028  MATH         MEM = MEM / 1E-3
  8.029  UNTIL        (MEM >= 980) && (MEM <= 1020)

# Then attenuate the output of calibrator to half so the input of UUT is
# is approximately 500 mVpp that is just the required test signal for trig
# sensitivity (1 div at 10 MHz).
  8.030  MATH         MEM = MEM1 / 2
  8.031  9500         mVpp                         10MH           LS    S
  8.032  MATH         mVppStd = MEM1
  8.033  PORT         TRIG:MAI SETLEV
# Save the peak value of signal for later checking the trigger status.
  8.034  MATH         @PeakValue = mVppStd / 2 * 1E-3
  8.035  CALL         Sub Tek TDS1000/2000 Trigger Chk and Level Adj RS-232
  8.036  MATH         RsltStr = " Rising Slope, 1 div at 10 MHz"
  8.037  EVAL   -e @Triggered : [V RsltStr]

  9.001  HEAD         -2 Falling Slope, 1 div at 10 MHz
  9.002  MATH         MEM = mVppStd
  9.003  9500         mVpp                         10MH           LS    S
  9.004  PORT         TRIG:MAI:EDGE:SLO FALL
  9.005  CALL         Sub Tek TDS1000/2000 Trigger Chk and Level Adj RS-232
  9.006  MATH         RsltStr = " Falling Slope, 1 div at 10 MHz"
  9.007  EVAL   -e @Triggered : [V RsltStr]

 10.001  PORT         TRIG:MAI:EDGE:SLO RISE

 10.002  IF           @Bandwidth == 40E+6
 10.003  MATH         FreqMHz = "40 MHz"
 10.004  ELSEIF       @Bandwidth == 60E+6
 10.005  MATH         FreqMHz = "60 MHz"
 10.006  ELSEIF       @Bandwidth >= 100E+6
 10.007  MATH         FreqMHz = "100 MHz"
 10.008  ENDIF

 10.009  HEAD         -2 Rising Slope, 1.5 div at [V FreqMHz]
 10.010  PORT         HOR:SCA 10E-9

# Firstly set the output of the calibrator so the peak-to-peak measurement is
# approximately 1500 mV (twice of required test signal).
 10.011  MATH         MEM = 1500; MEM1 = MEM

 10.012  DO
 10.013  MATH         MEM = MEM1 + (1500 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
 10.014  IF           MEM > 5560 || MEM < 4.44
 10.015  MATH         MEM = 1500
 10.016  ENDIF

 10.017  DO

 10.018  IF           @Bandwidth == 40E+6
 10.019  9500         mVpp                         40MH           LS    S
 10.020  ELSEIF       @Bandwidth == 60E+6
 10.021  9500         mVpp                         60MH           LS    S
 10.022  ELSEIF       @Bandwidth >= 100E+6
 10.023  9500         mVpp                         100MH          LS    S
 10.024  ENDIF

 10.025  PORT         [D1000]Trig:MAI SETL
# Check the status of trigger
 10.026  PORT         [D500]TRIG:STATE?[I$]
 10.027  UNTIL        FINDI(MEM2, "TRIG", 1)

 10.028  PORT         MEASU:MEAS[V @Chan]:VAL?[I]
 10.029  MATH         MEM = MEM / 1E-3
 10.030  UNTIL        (MEM >= 1480) && (MEM <= 1620)

# Then attenuate the output of calibrator to half so the input of UUT is
# approximately 750 mVpp that is just the required test signal for trig
# sensitivity (1.5 div at specific frequency).
 10.031  MATH         MEM = MEM1 / 2

 10.032  IF           @Bandwidth == 40E+6
 10.033  9500         mVpp                         40MH           LS    S
 10.034  ELSEIF       @Bandwidth == 60E+6
 10.035  9500         mVpp                         60MH           LS    S
 10.036  ELSEIF       @Bandwidth >= 100E+6
 10.037  9500         mVpp                         100MH          LS    S
 10.038  ENDIF

 10.039  MATH         mVppStd = MEM1
# Save the peak value of signal for later checking the trigger status.
 10.040  MATH         @PeakValue = mVppStd / 2 * 1E-3
 10.041  CALL         Sub Tek TDS1000/2000 Trigger Chk and Level Adj RS-232
 10.042  MATH         RsltStr = " Rising Slope, 1.5 div at " & FreqMHz
 10.043  EVAL   -e @Triggered : [V RsltStr]

 11.001  HEAD         -2 Falling Slope, 1.5 div at [V FreqMHz]
 11.002  MATH         MEM = mVppStd

 11.003  IF           @Bandwidth == 40E+6
 11.004  9500         mVpp                         40MH           LS    S
 11.005  ELSEIF       @Bandwidth == 60E+6
 11.006  9500         mVpp                         60MH           LS    S
 11.007  ELSEIF       @Bandwidth >= 100E+6
 11.008  9500         mVpp                         100MH          LS    S
 11.009  ENDIF

 11.010  PORT         TRIG:MAI:EDGE:SLO FALL
 11.011  CALL         Sub Tek TDS1000/2000 Trigger Chk and Level Adj RS-232
 11.012  MATH         RsltStr = " Falling Slope, 1.5 div at " & FreqMHz
 11.013  EVAL   -e @Triggered : [V RsltStr]

 12.001  PORT         TRIG:MAI:EDGE:SLO RISE

# For UUT whose bandwidth is 200 MHz do additional test.
 12.002  IF           @Bandwidth == 200E+6
 12.003  HEAD         -2 Rising Slope, 2 div at 200 MHz
# Firstly set the output of the calibrator so the peak-to-peak measurement is
# approximately 1500 mV (1.5 times of required test signal).
 12.004  MATH         MEM = 1500; MEM1 = MEM

 12.005  DO
 12.006  MATH         MEM = MEM1 + (1500 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
 12.007  IF           MEM > 5560 || MEM < 4.44
 12.008  MATH         MEM = 1500
 12.009  ENDIF

 12.010  DO
 12.011  9500         mVpp                         200MH          LS    S
 12.012  PORT         [D1000]Trig:MAI SETL
# Check the status of trigger
 12.013  PORT         [D500]TRIG:STATE?[I$]
 12.014  UNTIL        FINDI(MEM2, "TRIG", 1)

 12.015  PORT         MEASU:MEAS[V @Chan]:VAL?[I]
 12.016  MATH         MEM = MEM / 1E-3
 12.017  UNTIL        (MEM >= 1480) && (MEM <= 1620)

# Then attenuate the output of calibrator so the input of UUT is approximately
# 1000 mVpp that is just the required test signal for trig sensitivity (2 div
# at 200 MHz).
 12.018  MATH         MEM = MEM1 / 1.5
 12.019  9500         mVpp                         200MH          LS    S
 12.020  MATH         mVppStd = MEM1
# Save the peak value of signal for later checking the trigger status.
 12.021  MATH         @PeakValue = mVppStd / 2 * 1E-3
 12.022  CALL         Sub Tek TDS1000/2000 Trigger Chk and Level Adj RS-232
 12.023  MATH         RsltStr = " Rising Slope, 2 div at 200 MHz"
 12.024  EVAL   -e @Triggered : [V RsltStr]

 13.001  HEAD         -2 Falling Slope, 2 div at 200 MHz
 13.002  MATH         MEM = mVppStd
 13.003  9500         mVpp                         200MH          LS    S
 13.004  PORT         TRIG:MAI:EDGE:SLO FALL
 13.005  CALL         Sub Tek TDS1000/2000 Trigger Chk and Level Adj RS-232
 13.006  MATH         RsltStr = " Falling Slope, 2 div at 200 MHz"
 13.007  EVAL   -e @Triggered : [V RsltStr]

 14.001  PORT         TRIG:MAI:EDGE:SLO RISE
 14.002  ENDIF

 14.003  HEAD         -2
 14.004  HEAD
 14.005  9500         *                                                 S
 14.006  END

 14.007  EVAL   Increment step number

# ******************************* Sample Rate *****************************

 15.001  LABEL        SAMPLE_RATE
 15.002  RSLT         =
 15.003  HEAD         SAMPLE RATE AND DELAY TIME ACCURACY
 15.004  TARGET
 15.005  PORT         CH[V @Chan]:PRO 1;SCA 500E-3
 15.006  PORT         HOR:SCA 1E-3
 15.007  9500         10mT                         1Vpp           M2    S
 15.008  WAIT         -t 2 System settling...
 15.009  PORT         TRIG:MAI SETLEV
 15.010  PORT         HOR:POS 10E-3
 15.011  PORT         HOR:SCA 250E-9
 15.012  MESS         Does the rising edge of the marker cross the center
 15.012  MESS         horizontal graticule line within ±2 divisions of
 15.012  MESS         center graticule?
 15.013  EVAL   -s "SAMPLE RATE AND DELAY TIME ACCURACY" :

 16.001  MESS
 16.002  HEAD
 16.003  9500         *                                                 S
 16.004  END

